Переполнение буфера в Lhaplus

Дата публикации:
04.08.2006
Всего просмотров:
954
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Lhaplus 1.x
Уязвимые версии: Lhaplus 1.52, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке LZH файлов. Удаленный пользователь может с помощью специально сформированного LZH файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www7a.biglobe.ne.jp/~schezo/

Решение: Установите последнюю версию (1.53) с сайта производителя.

Ссылки: Lhaplus LHA Extended Header Handling Buffer Overflow Vulnerability

или введите имя

CAPTCHA